%global pkg_name enumerator

%global common_summary Implementation of Oleg Kiselyov's left-fold enumerators

%global common_description %{common_summary}.

%global ghc_pkg_deps ghc-text-devel, ghc-transformers-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.4.3.1
Release:        1%{?dist}.1
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf %{buildroot}
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -p readme.txt %{buildroot}%{_docdir}/%{name}-%{version}/readme.txt


%clean
rm -rf %{buildroot}


%{?ghc_lib_package}


%changelog
* Tue Dec 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.3.1-1.1
- Rebuild against ghc-text

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.3.1-1
- Update to 0.4.3.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.0.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
